tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation Class Reference
Inheritance diagram for tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation:
Collaboration diagram for tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation:

## Public Member Functions

| cpq_operation (const_reference e, operation_type t)
| cpq_operation (operation_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

operation_type | type
union {
value_type * elem
size_type sz
}; |
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>
class tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation

Definition at line 335 of file concurrent_priority_queue.h.

## Constructor & Destructor Documentation

## cpq_operation() [1/2]

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation::cpq_operation | ( | const_reference | e,
|  | operation_type | t
| ) |  |

inline

Definition at line 342 of file concurrent_priority_queue.h.

:
type(t), elem(const_cast<value_type*>(&e)) {}

## cpq_operation() [2/2]

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation::cpq_operation | ( | operation_type | t | ) |

inline

Definition at line 344 of file concurrent_priority_queue.h.

: type(t) {}

## Member Data Documentation

## @1

union { ... }

## elem

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

value_type* tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation::elem

Definition at line 339 of file concurrent_priority_queue.h.

## sz

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

size_type tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation::sz

Definition at line 340 of file concurrent_priority_queue.h.

## type

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

operation_type tbb::interface5::concurrent_priority_queue< T, Compare, A >::cpq_operation::type

Definition at line 337 of file concurrent_priority_queue.h.

The documentation for this class was generated from the following file:

- concurrent_priority_queue.h

tbb::interface5::concurrent_priority_queue::cpq_operation::elem
value_type * elem
Definition: concurrent_priority_queue.h:339
tbb::interface5::concurrent_priority_queue::cpq_operation::type
operation_type type
Definition: concurrent_priority_queue.h:337

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.